Save This Page
Home » commons-httpclient-3.1-src » org.apache.commons » httpclient » methods » [javadoc | source]
org.apache.commons.httpclient.methods
public class: HeadMethod [javadoc | source]
java.lang.Object
   org.apache.commons.httpclient.HttpMethodBase
      org.apache.commons.httpclient.methods.HeadMethod

All Implemented Interfaces:
    HttpMethod

Direct Known Subclasses:
    NoncompliantHeadMethod, UrlHeadMethod

Implements the HTTP HEAD method.

The HTTP HEAD method is defined in section 9.4 of RFC2616:

The HEAD method is identical to GET except that the server MUST NOT return a message-body in the response. The metainformation contained in the HTTP headers in response to a HEAD request SHOULD be identical to the information sent in response to a GET request. This method can be used for obtaining metainformation about the entity implied by the request without transferring the entity-body itself. This method is often used for testing hypertext links for validity, accessibility, and recent modification.

Fields inherited from org.apache.commons.httpclient.HttpMethodBase:
statusLine,  effectiveVersion
Constructor:
 public HeadMethod() 
 public HeadMethod(String uri) 
    Constructor specifying a URI.
    Parameters:
    uri - either an absolute or relative URI
    since: 1.0 -
Method from org.apache.commons.httpclient.methods.HeadMethod Summary:
getBodyCheckTimeout,   getName,   readResponseBody,   recycle,   setBodyCheckTimeout
Methods from org.apache.commons.httpclient.HttpMethodBase:
abort,   addCookieRequestHeader,   addHostRequestHeader,   addProxyConnectionHeader,   addRequestHeader,   addRequestHeader,   addRequestHeaders,   addResponseFooter,   addUserAgentRequestHeader,   checkNotUsed,   checkUsed,   execute,   fakeResponse,   generateRequestLine,   getAuthenticationRealm,   getContentCharSet,   getDoAuthentication,   getEffectiveVersion,   getFollowRedirects,   getHostAuthState,   getHostConfiguration,   getMethodRetryHandler,   getName,   getParams,   getPath,   getProxyAuthState,   getProxyAuthenticationRealm,   getQueryString,   getRecoverableExceptionCount,   getRequestCharSet,   getRequestHeader,   getRequestHeaderGroup,   getRequestHeaders,   getRequestHeaders,   getResponseBody,   getResponseBody,   getResponseBodyAsStream,   getResponseBodyAsString,   getResponseBodyAsString,   getResponseCharSet,   getResponseContentLength,   getResponseFooter,   getResponseFooters,   getResponseHeader,   getResponseHeaderGroup,   getResponseHeaders,   getResponseHeaders,   getResponseStream,   getResponseTrailerHeaderGroup,   getStatusCode,   getStatusLine,   getStatusText,   getURI,   hasBeenUsed,   isAborted,   isConnectionCloseForced,   isHttp11,   isRequestSent,   isStrictMode,   processCookieHeaders,   processResponseBody,   processResponseHeaders,   processStatusLine,   readResponse,   readResponseBody,   readResponseHeaders,   readStatusLine,   recycle,   releaseConnection,   removeRequestHeader,   removeRequestHeader,   responseBodyConsumed,   setConnectionCloseForced,   setDoAuthentication,   setFollowRedirects,   setHostConfiguration,   setHttp11,   setMethodRetryHandler,   setParams,   setPath,   setQueryString,   setQueryString,   setRequestHeader,   setRequestHeader,   setResponseStream,   setStrictMode,   setURI,   shouldCloseConnection,   validate,   writeRequest,   writeRequestBody,   writeRequestHeaders,   writeRequestLine
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.commons.httpclient.methods.HeadMethod Detail:
 public int getBodyCheckTimeout() 
Deprecated! Use - HttpMethodParams

    Returns non-compliant response body check timeout.
 public String getName() 
    Returns "HEAD".
 protected  void readResponseBody(HttpState state,
    HttpConnection conn) throws IOException, HttpException 
    Overrides HttpMethodBase method to not read a response body, despite the presence of a Content-Length or Transfer-Encoding header.
 public  void recycle() 
Deprecated! no - longer supported and will be removed in the future version of HttpClient

    Recycles the HTTP method so that it can be used again. Note that all of the instance variables will be reset once this method has been called. This method will also release the connection being used by this HTTP method.
 public  void setBodyCheckTimeout(int timeout) 
Deprecated! Use - HttpMethodParams

    Sets non-compliant response body check timeout.